Loading...
Searching...
No Matches
libdar::Esystem Class Reference
API

exception used to carry system error More...

`#include <erreurs.hpp>`

Inherits libdar::Egeneric.

## Public Types

enum | io_error { io_exist , io_absent , io_access , io_ro_fs }

## Public Member Functions

| Esystem (const std::string &source, const std::string &message, io_error code)
| Esystem (const Esystem &ref)=default
| Esystem (Esystem &&ref)=default
Esystem & | operator= (const Esystem &ref)=default
Esystem & | operator= (Esystem &&ref)=default
io_error | get_code () const
Public Member Functions inherited from libdar::Egeneric
| Egeneric (const std::string &source, const std::string &message)
| the constructor
| Egeneric (const Egeneric &ref)=default
| copy constructor
| Egeneric (Egeneric &&ref)=default
| move constructor
Egeneric & | operator= (const Egeneric &ref)=default
| assignment operator
Egeneric & | operator= (Egeneric &&ref) noexcept=default
| move operator
virtual | ~Egeneric ()=default
| the destructor
void | stack (const std::string &passage, const std::string &message="")
| add more detailed couple of information to the exception
void | stack (const std::string &&passage, const std::string &&message="")
const std::string & | get_message () const
| get the message explaing the nature of the exception
const std::string & | get_source () const
| get the call function which has thrown this exception
const std::string & | find_object (const std::string &location) const
| retrieve the objet (object) associated to a given "lieu" (location) from the stack
void | prepend_message (const std::string &context)
| prepend error message by the given string
std::string | dump_str () const
| return a string result of the exception information dump

## Protected Member Functions

virtual std::string | exceptionID () const override

## Private Attributes

io_error | x_code

## Detailed Description

exception used to carry system error

Definition at line 405 of file erreurs.hpp.

## Member Enumeration Documentation

## io_error

enum libdar::Esystem::io_error

Enumerator
io_exist | file already exists (write mode)
io_absent | file does not exist (read mode)
io_access | permission denied (any mode)
io_ro_fs | read-only filesystem (write mode/read-write mode)

Definition at line 408 of file erreurs.hpp.

## Member Function Documentation

## exceptionID()

virtual std::string libdar::Esystem::exceptionID | ( |  | ) | const

inline override protected virtual

Implements libdar::Egeneric.

Definition at line 426 of file erreurs.hpp.

## get_code()

io_error libdar::Esystem::get_code | ( |  | ) | const

inline

Definition at line 423 of file erreurs.hpp.

## Member Data Documentation

## x_code

io_error libdar::Esystem::x_code

private

Definition at line 429 of file erreurs.hpp.

The documentation for this class was generated from the following file:

- erreurs.hpp